package concours;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public final class CandidatesList {

	private Map<String, CandidateInfo>	candidates	= new HashMap<String, CandidateInfo>();

	public CandidatesList() {
		CandidateInfo info;
		for (int id=1; id<10; id++) {
			info = new CandidateInfo();
			info.setName("Candidat " + id);
			candidates.put("cand" + id, info);
		}
	}
	
	public boolean isCandidate(String id) {
		return (id != null) && candidates.containsKey(id);
	}
	
	public Set<String> getCandidatesIds() {
		return candidates.keySet();
	}

	public CandidateInfo getCandidateInfo(String id) {
		return (id != null) && candidates.containsKey(id)
			? candidates.get(id)
			: null;
	}
}
