<%@page
	language="java"
	contentType="text/html;charset=ISO-8859-1"
	import="java.util.*,java.text.DecimalFormat,concours.*" %>
<jsp:useBean
	id="candList"
	class="concours.CandidatesList"
	scope="application" />
<jsp:useBean
	id="listVotes"
	class="concours.VotesList"
	scope="application" />
<%@include file="header.inc"%>
<%
int total = listVotes.getTotalVotes();
double ratio = (total == 0) ? 0 : (double)100 / total;
Set<String> candIds = candList.getCandidatesIds();
DecimalFormat df = new DecimalFormat("##0.00");
CandidateInfo cInfo;
VoteInfo voteInfo;
%>
<h1>Statistiques</h1>
<table>
<%
for (String id : candIds) {
	cInfo = candList.getCandidateInfo(id);
	voteInfo = listVotes.getVoteInfo(id);
%>
	<tr>
		<td><%= cInfo.getName() %></td>
		<td class="vote"><%= df.format(voteInfo.getVotes() * ratio) %></td>
		<td>%</td>
	</tr>
<%
}
%>
	<tr class="more">
		<td colspan="3">Total : <span class="vote"><%= total %></span> vote<%
if (total > 1) {
	out.print("s");
}
%></td>
	</tr>
</table>

<div id="navig">
	<ul>
		<li><a href="statistics.jsp">Mise  jour des statistiques</a></li>
		<li><a href="index.jsp">Nouveau vote</a></li>
	</ul>
</div>
<%@include file="footer.inc"%>